Groovy 1.7.0

## groovy.beans
Annotation Type Bindable

    java.lang.Object
      groovy.beans.Bindable

    @Retention(RetentionPolicy.SOURCE)
    @Target({ElementType.FIELD, ElementType.TYPE})
    @GroovyASTTransformationClass("groovy.beans.BindableASTTransformation")
    @interface Bindable

Annotates a groovy property or a class. When annotating a property it indicates that the property should be a bound property according to the JavaBeans spec, announding to listeners that the value has changed. When annotating a class it indicates that all groovy properties in that class should be bound as though each property had the annotation (even if it already has it explicitly). It is a compilation error to place this annotation on a field (that is nota property, i.e. has scope visibility modifiers). If a property with a user defined setter method is annotated the code block is wrapped with the needed code to fire off the event. //TODO discuss generated fields and methods

see:
  BindableASTTransformation

author:
  Danno Ferrin (shemnon)

Method Summary

Methods inherited from class Object
wait, wait, wait, hashCode, getClass, equals, toString, notify, notifyAll

Copyright © 2003-2009 The Codehaus. All rights reserved.